import { TemplateRef } from "@angular/core";
import { BehaviorSubject, Subscription } from "rxjs";
import { SchemaFormService } from "../../services/schema-form.service";
import * as i0 from "@angular/core";
export declare class AbstractSchemaFormTable {
    actions: TemplateRef<any>;
    showMissingFields: boolean;
    showActions: boolean;
    showHeader: boolean;
    showReset: boolean;
    /** if you don't want to render the root of formService.schema, then you can define a path here */
    protected schemaPath$: BehaviorSubject<string>;
    set path(schemaPath: string);
    protected manualCompactMode$: BehaviorSubject<any>;
    set compactMode(compactMode: boolean);
    showHint: boolean;
    protected subscription: Subscription;
    protected schemaFormService: SchemaFormService;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AbstractSchemaFormTable, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AbstractSchemaFormTable, never, never, { "showMissingFields": "showMissingFields"; "showActions": "showActions"; "showHeader": "showHeader"; "showReset": "showReset"; "path": "path"; "compactMode": "compactMode"; "showHint": "showHint"; }, {}, ["actions"], never, false, never>;
}
